diff mbox

[14/17] tests: Properly pass the num of channels to start.sh

Message ID 1438025074-23392-15-git-send-email-ilan.peer@intel.com
State Changes Requested
Headers show

Commit Message

Ilan Peer July 27, 2015, 7:24 p.m. UTC
The number of channels was not properly passed from the
run-all.sh script to the start.sh script. Fix it.

Change-Id: I3ece61e5199a400873c5b302ce32c0d060aad4c2
---
 tests/hwsim/run-all.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox

Patch

diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index 9bdb7b1..5cf56a9 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -108,7 +108,7 @@  if [ ! -z "$BUILD" ]; then
     fi
 fi
 
-if ! ./start.sh $VALGRIND $TRACE $NUM_CH; then
+if ! ./start.sh $VALGRIND $TRACE channels=$NUM_CH; then
 	if ! [ -z "$LOGBASEDIR" ] ; then
 		echo "Could not start test environment" > $LOGDIR/run
 	fi